net.sf.jasperreports.export

## Interface DocxReportConfiguration

- All Superinterfaces:
    CommonExportConfiguration, ReportExportConfiguration
  All Known Implementing Classes:
    SimpleDocxReportConfiguration

      public interface DocxReportConfiguration
      extends ReportExportConfiguration

  Interface containing settings used by the DOCX exporter.
  Version:
    $Id: DocxExporterConfiguration.java 6709 2013-11-08 14:39:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRDocxExporter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_FLEXIBLE_ROW_HEIGHT` This property serves as default value for the `isFlexibleRowHeight()` export configuration setting.
    `static java.lang.String` | `PROPERTY_FRAMES_AS_NESTED_TABLES` This property serves as default value for the `isFramesAsNestedTables()` export configuration setting.
    `static java.lang.String` | `PROPERTY_IGNORE_HYPERLINK` Property that provides a default value for the `isIgnoreHyperlink()` export configuration flag.

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `isFlexibleRowHeight()` Indicates whether table rows can grow if more text is added into cells.
    `java.lang.Boolean` | `isFramesAsNestedTables()` Indicates whether `frames` are to be exported as nested tables.
    `java.lang.Boolean` | `isIgnoreHyperlink()`

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### PROPERTY_FRAMES_AS_NESTED_TABLES

          static final java.lang.String PROPERTY_FRAMES_AS_NESTED_TABLES

      This property serves as default value for the `isFramesAsNestedTables()` export configuration setting.

      The property itself defaults to `true`.

      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_FLEXIBLE_ROW_HEIGHT

          static final java.lang.String PROPERTY_FLEXIBLE_ROW_HEIGHT

      This property serves as default value for the `isFlexibleRowHeight()` export configuration setting.

      The property itself defaults to `false`.

      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_IGNORE_HYPERLINK

          static final java.lang.String PROPERTY_IGNORE_HYPERLINK

      Property that provides a default value for the `isIgnoreHyperlink()` export configuration flag.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isFramesAsNestedTables

          java.lang.Boolean isFramesAsNestedTables()

      Indicates whether `frames` are to be exported as nested tables.

      Is set to `false`, the frame contents will be integrated into the master/page table.

      See Also:
        `PROPERTY_FRAMES_AS_NESTED_TABLES`

    - #### isFlexibleRowHeight

          java.lang.Boolean isFlexibleRowHeight()

      Indicates whether table rows can grow if more text is added into cells.

      Is set to `false`, the table rows do not increase in height automatically and the user has to enlarge them manually.

      See Also:
        `PROPERTY_FLEXIBLE_ROW_HEIGHT`

    - #### isIgnoreHyperlink

          java.lang.Boolean isIgnoreHyperlink()

      See Also:
        `PROPERTY_IGNORE_HYPERLINK`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com